# Generated from bridge_api-0.3.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bridge_api

Name: rubygem-%{gem_name}
Version: 0.3.7
Release: 1%{?dist}
Summary: Bridge API
License: MIT
URL: https://getbridge.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(byebug) >= 8.2.2
# BuildRequires: rubygem(byebug) < 8.3
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 2.6
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(sinatra) >= 1.0
# BuildRequires: rubygem(sinatra) < 2
# BuildRequires: rubygem(tilt) >= 1.3
# BuildRequires: rubygem(tilt) < 2
# BuildRequires: rubygem(tilt) >= 1.3.4
# BuildRequires: rubygem(webmock) >= 1.22.6
# BuildRequires: rubygem(webmock) < 1.23
# BuildRequires: rubygem(mock_redis)
BuildArch: noarch

%description
Ruby gem for interacting with the bridge API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Dockerfile
%{gem_instdir}/bin
%{gem_instdir}/build.groovy
%{gem_instdir}/build.sh
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/bridge_api.gemspec
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/spec

%changelog
* Thu Jan 23 2025 mockbuilder - 0.3.7-1
- Initial package
